Delete Hourly Report Preset
Permanently deletes an hourly report preset identified by id. Use this endpoint to disassociate a preset from a contract.
Token scopes: timesheets:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
preset_id
The unique identifier of the hourly report preset to delete
Response
Successful operation.
data
Container object confirming the outcome of the delete operation.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error